> ## Documentation Index
> Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Contact

> Send Contact



## OpenAPI

````yaml openapi-v2 POST /message/sendContact/{instance}
openapi: 3.0.3
info:
  title: Evolution API
  version: 2.1.1
servers:
  - url: https://{server-url}
    variables:
      server-url:
        default: evolution-example
        description: The URL of your EvolutionAPI server
    description: Your instance domain
security: []
paths:
  /message/sendContact/{instance}:
    post:
      tags:
        - Message Controller
      summary: Send Contact
      description: Send Contact
      operationId: sendContact
      parameters:
        - name: instance
          in: path
          required: true
          description: Name of the instance
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - number
                - contact
              properties:
                number:
                  type: string
                  description: Number to receive the message (with country code)
                contact:
                  type: array
                  minItems: 1
                  items:
                    type: object
                    required:
                      - fullname
                      - wuid
                      - phoneNumber
                      - organization
                      - email
                      - url
                    properties:
                      fullName:
                        type: string
                        description: Contact full name
                      wuid:
                        type: string
                        description: >-
                          Phone number non-stylized with country code
                          (553198296801)
                      phoneNumber:
                        type: string
                        description: Phone number stylized (+55 31 9 9999-9999)
                      organization:
                        type: string
                        description: Organization name for the contact
                      email:
                        type: string
                        description: Contact email address
                      url:
                        type: string
                        description: Page URL
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  key:
                    type: object
                    properties:
                      remoteJid:
                        type: string
                        description: The remote Jid.
                      fromMe:
                        type: boolean
                        description: Indicates whether the message was sent by the user.
                      id:
                        type: string
                        description: The ID of the message.
                    description: >-
                      The key of the message, which identifies the message in
                      the chat.
                  message:
                    type: object
                    properties:
                      contactMessage:
                        type: object
                        properties:
                          displayName:
                            type: string
                            description: The display name of the contact.
                          vcard:
                            type: string
                            description: The vCard format contact information.
                          contextInfo:
                            type: object
                            description: Additional context information.
                        description: Details of the contact message.
                    description: >-
                      The message content, which may include various types of
                      messages like text, images, contact, etc.
                  messageTimestamp:
                    type: string
                    description: The timestamp of the message, represented as a string.
                  status:
                    type: string
                    description: >-
                      The status of the message, such as sent, received, or
                      pending.
                example:
                  key:
                    remoteJid: 553198296801@s.whatsapp.net
                    fromMe: true
                    id: BAE58DA6CBC941BC
                  message:
                    contactMessage:
                      displayName: Guilherme Gomes
                      vcard: |-
                        BEGIN:VCARD
                        VERSION:3.0
                        N:Guilherme Gomes
                        FN:Guilherme Gomes
                        ORG:AtendAI;
                        EMAIL:...
                      contextInfo: {}
                  messageTimestamp: '1717780437'
                  status: PENDING
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````